Package org.opensaml.xacml.policy.impl

# Class ConditionTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.ConditionTypeImpl

All Implemented Interfaces:
  `XMLObject`, `ConditionType`, `ExpressionType`, `XACMLObject`

public class ConditionTypeImpl extends AbstractXACMLObject implements ConditionType
Implementation of `ConditionType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ExpressionType`
`expression`
List of expressions.

### Fields inherited from interface org.opensaml.xacml.policy.ConditionType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConditionTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ExpressionType`
`getExpression()`
Gets the expression for this condition.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setExpression(ExpressionType exp)`
Sets the expression for this condition.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### expression

private ExpressionType expression
List of expressions.

## Constructor Details

### ConditionTypeImpl

protected ConditionTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getExpression

public ExpressionType getExpression()
Gets the expression for this condition.

Specified by:
  `getExpression` in interface `ConditionType`
Returns:
  expression for this condition

### setExpression

public void setExpression(ExpressionType exp)
Sets the expression for this condition.

Specified by:
  `setExpression` in interface `ConditionType`
Parameters:
  `exp` - for this condition

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements